import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMJahrgang extends JavaObject {
    id: number;
    kuerzel: String | null;
    kuerzelAnzeige: String | null;
    beschreibung: String | null;
    stufe: String | null;
    sortierung: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMJahrgang;
    static transpilerToJSON(obj: ENMJahrgang): string;
    static transpilerToJSONPatch(obj: Partial<ENMJahrgang>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMJahrgang(obj: unknown): ENMJahrgang;
